nomarch(1)

NAME
nomarch - extract `.arc' archives

SYNOPSIS
nomarch [-hlptUv] [archive.arc] [match1 [match2 @cc .

DESCRIPTION
nomarch lists, extracts, or tests `.arc' archives. (An alternate extension sometimes used was `.ark'; these work too.) This is a very outdated file format which should certainly not be used for anything new, but you may still need an extraction utility, and here it is. :-)

The default action is to extract all files in the specified archive; see OPTIONS below for how to do other things instead.

OPTIONS

-h  give terse usage help.

-l  list files in archive. If verbose listings are enabled, it shows the filename, compression method, compressed/uncompressed size, date/time, and CRC; but by default, it just shows the filename, uncompressed size, and date/time.

-p  extract to standard output, rather than to separate files.

-t  test files in archive (more precisely, check file CRCs).

-U  use uppercase filenames; more precisely, preserve original case from archive.

-v  give verbose output (when used with `-l').

archive.arc
    the archive to operate on.

match1 etc.
    optionally specify which archive members to list/extract/test. Those which match any of these filenames/wildcards are processed. Wildcard operators supported are shell-like `*' and `?', but don't forget to quote arguments which use these (e.g. `nomarch foo.arc '*.bar'').

EXTRACTING MULTIPLE ARCHIVES
nomarch follows the `unzip'-like practice of working on only one archive per run, with further `filenames' given on the command-line actually specifying files to extract (or whatever). The easiest way to work on multiple files with nomarch is simply to run it multiple times using for; for example:

for i in *.arc; do nomarch $i; done

The above would extract all archives in the current directory.

USING THE PROGRAM FROM EMACS
Emacs's arc-mode facility lets you work with various kinds of archive file directly from the editor. Making it use nomarch for extracting `.arc' files isn't too hard. Just add the following to your ~/.emacs file:

(setq archive-arc-extract '("nomarch" "-U"))

BUGS
The CRC used by the format is only 16-bit, so `-t' is a less-than-perfect test.

One compression method, obsolete even by `.arc' standards :-), isn't supported yet. This is partly because I've yet to find a single file which uses it, despite testing an awful lot of files.

Subdirectories in Spark archives are extracted as the `.arc'-format files they really are, which may not be terribly convenient.

SEE ALSO
tar(1), gzip(1), bzip2(1), lbrate(1)

AUTHOR
Russell Marks (rus@svgalib.org).